QuattroDosParserInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
QuattroDosParserInternal::State Struct Reference

the state of QuattroDosParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType)
| constructor
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding *‍/

## Static Public Member Functions
static bool | getColor (int id, WPSColor &color)
| returns a color corresponding to an id

## Public Attributes
long | m_eof
| the last file position
libwps_tools_win::Font::Type | m_fontType
| the user font type
int | m_version
| the file version
bool | m_hasLICSCharacters
| flag to know if the character
std::vector< Font > | m_fontsList
| the fonts list
std::map< int, librevenge::RVNGString > | m_idToFileNameMap
| map id to filename
WPSPageSpan | m_pageSpan
| the actual document size
int | m_actPage
| the actual page
int | m_numPages
std::string | m_headerString
| the header string
std::string | m_footerString
| the footer string

## Detailed Description

the state of QuattroDosParser

## Constructor & Destructor Documentation

## ◆ State()

QuattroDosParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getColor()

bool QuattroDosParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | color )
| static

returns a color corresponding to an id

## ◆ getDefaultFont()

WPSFont QuattroDosParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding *‍/

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type QuattroDosParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## Member Data Documentation

## ◆ m_actPage

int QuattroDosParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_eof

long QuattroDosParserInternal::State::m_eof

the last file position

Referenced by State().

## ◆ m_fontsList

std::vector<Font> QuattroDosParserInternal::State::m_fontsList

the fonts list

Referenced by State().

## ◆ m_fontType

libwps_tools_win::Font::Type QuattroDosParserInternal::State::m_fontType

the user font type

Referenced by getDefaultFontType(), and State().

## ◆ m_footerString

std::string QuattroDosParserInternal::State::m_footerString

the footer string

Referenced by State().

## ◆ m_hasLICSCharacters

bool QuattroDosParserInternal::State::m_hasLICSCharacters

flag to know if the character

Referenced by getDefaultFontType(), and State().

## ◆ m_headerString

std::string QuattroDosParserInternal::State::m_headerString

the header string

Referenced by State().

## ◆ m_idToFileNameMap

std::map<int, librevenge::RVNGString> QuattroDosParserInternal::State::m_idToFileNameMap

map id to filename

Referenced by State().

## ◆ m_numPages

int QuattroDosParserInternal::State::m_numPages

Referenced by State().

## ◆ m_pageSpan

WPSPageSpan QuattroDosParserInternal::State::m_pageSpan

the actual document size

Referenced by State().

## ◆ m_version

int QuattroDosParserInternal::State::m_version

the file version

Referenced by getDefaultFont(), getDefaultFontType(), and State().

The documentation for this struct was generated from the following file:

- QuattroDos.cpp